Skip to main content
`Ctrl`+`K`

# PlanarEmbedding.add_half_edge_cw

PlanarEmbedding.add_half_edge_cw(start_node, end_node, reference_neighbor)

  Adds a half-edge from start_node to end_node.

  The half-edge is added clockwise next to the existing half-edge (start_node, reference_neighbor).

  Parameters:
    start_node node

      Start node of inserted edge.

    end_node node

      End node of inserted edge.

    reference_neighbor: node

      End node of reference edge.

  Raises:
    NetworkXException

      If the reference_neighbor does not exist.

  See also

  `add_half_edge`
  `add_half_edge_ccw`
  `connect_components`